Bug 480249 - Review Request: unalz - Decompression utility
Review Request: unalz - Decompression utility
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 17:05 EST by Orcan Ogetbil
Modified: 2009-03-09 18:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.64-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 18:46:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lucilanga: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-01-15 17:05:56 EST
Spec URL: http://oget.fedorapeople.org/review/unalz.spec
SRPM URL: http://oget.fedorapeople.org/review/unalz-0.63-1.fc10.src.rpm
Description: 
Unalz is a utility to decompress .alz files. It supports bzip2/raw
format transformation, splitting the compressed file into smaller
chunks (alz, a00, a01, ...), extract password protected .alz files,
and CRC checks.

rpmlint is silent.


I had submitted this package before (bug# 477106) but it got rejected because (with the help of friends at #fedora-devel) we figured that the project webpage said:
- it is free as in cost, but you are prohibited from on commercial distribution
in magazines or CD
- it allows distribution only unmodified and patches must be distributed
separately.

And the tarball did not contain a license file.

Now all of these issues seem resolved. The tarball contains a zlib license and the non-free clauses at the project webpage [1] are replaced via zlib license [2]. 

This package still might have a patent issue (although I couldn't find one) because it is a decompressor of the commercial compressor Alzip [3]. It should be checked by FE-LEGAL to verify that it's OK to distribute this on Fedora.

[1] http://www.kipple.pe.kr/win/unalz/
[2] http://www.kipple.pe.kr/etc/zlib_license/
[3] http://www.altools.com/
Comment 1 Orcan Ogetbil 2009-01-21 23:26:33 EST
Version update:
Spec URL: http://oget.fedorapeople.org/review/unalz.spec
SRPM URL: http://oget.fedorapeople.org/review/unalz-0.64-1.fc10.src.rpm

It looks like the author put the license information on more source file headers.
Comment 2 Tom "spot" Callaway 2009-01-28 17:13:44 EST
ALZ is either a hacked up bzip2 or DEFLATE, depending on the version of ALZip used to create the file. There are no patent concerns here. Lifting FE-Legal.
Comment 3 Lucian Langa 2009-02-14 14:37:49 EST
This is a simple package; it builds fine and rpmlint is silent.

Review:

OK source files match upstream:
        974ff01225273f1ef70c5f1a2d27d25b219bc43719f90ea80e550feaab46876f  unalz-0.64.tgz
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK summary a short and concise description.
OK description is OK.
Ok dist tag is present.
OK build root is sane.
OK license field matches the actual license.
OK license is open source-compatible.
OK license text included in package.
OK latest version is being packaged.
OK BuildRequires are proper.
OK compiler flags are appropriate.
OK %clean is present.
OK package builds in mock (rawhide, x86_64).
OK package installs properly.
OK debuginfo package looks complete.
OK rpmlint is silent.
OK final provides and requires are sane:
        unalz = 0.64-1.fc11
        unalz(x86-64) = 0.64-1.fc11
        =
        libc.so.6()(64bit)
        libgcc_s.so.1()(64bit)
        libm.so.6()(64bit)
        libstdc++.so.6()(64bit)
        libz.so.1()(64bit)
OK %check is not present; no test suite upstream
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK doesn't own any directories it shouldn't.
OK no duplicates in %files.
OK file permissions are appropriate.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.

APPROVED.
Comment 4 Orcan Ogetbil 2009-02-17 00:29:21 EST
Thank you for the review.

New Package CVS Request
=======================
Package Name: unalz
Short Description: Decompression utility
Owners: oget
Branches: F-9 F-10
InitialCC:
Comment 5 Kevin Fenzi 2009-02-18 14:45:13 EST
cvs done.
Comment 6 Fedora Update System 2009-03-09 18:46:43 EDT
unalz-0.64-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-03-09 18:51:53 EDT
unalz-0.64-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.